Bug 139224 - Display and Print Wrong Font in Fedora Builds of OpenOffice
Display and Print Wrong Font in Fedora Builds of OpenOffice
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-14 02:05 EST by Brenda EM
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-08 08:43:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brenda EM 2004-11-14 02:05:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Redhat OpenOffice Builds choosing wrong display and printing font.

It displays and prints Times for Times New Roman. I believe the font
is stored correctly.

This bug exists in builds for both Core Builds for both Core 2 and 3.
I was hoping that it was fixed.

As far as I can tell, the bug affects OpenOffice only, and not other
x11/gtk aps such as The Gimp, and Abiword.

Version-Release number of selected component (if applicable):
OpenOffice 1.1.2-11.5

How reproducible:
Didn't try, but exists in Core 2 and 3

Steps to Reproduce:
1. Install New Times Roman and other font to fonts:///
2. Type some text including 012345678980
3. Change Font of Selected text to New Times Roman.
4. Look carefully.
    

Actual Results:  Notice the decended characters in 01234567890?
That font is (probably) not Times New Roman. It is Times, which seems
to be a printer font.


Expected Results:  The font should be Times New Roman.

Additional info:

I contacted OpenOffice. They said the bug was unique to RedHat's Builds.

The Screenshots are still availible here:
http://www.openoffice.org/issues/show_bug.cgi?id=36972
Comment 1 Brenda EM 2004-11-14 02:07:11 EST
Thanks : )
Comment 2 Brenda EM 2004-11-14 02:09:08 EST
Sorry, My email address change didn't take.
brenda.board2@brendamake.com
Comment 3 Brenda EM 2004-12-01 16:04:01 EST
I believe this bug is fixed in OpenOffice 1.1.3...if it will ever be
rebuilt for Core 3
Comment 4 Brenda EM 2004-12-09 16:16:50 EST
I noticed that the bug affects users and not root. When I load or
print  the same doument as root it's fine.

Also the 1.1.2 on Fedora has a spellchecker lag bug that does not exit
in other distros.

Could you please roll up a OpenOffice 1.1.3 rpm and release it to the
yum servers.
Comment 5 Caolan McNamara 2005-01-27 08:46:21 EST
And now with 1.1.3 that's available in fc3-updates ?

Note You need to log in before you can comment on or make changes to this bug.